commit: fef98f3917043e1194cedfd6538c261ab2468244
Author: James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 15 18:16:22 2017 +0000
Commit: James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sat Jul 15 18:17:07 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fef98f39
dev-java/icedtea-bin: Fix removal of files on arm, closes #623784
The arm -> aarch32 symlink causes globbing to return duplicates and rm
therefore fails.
Package-Manager: Portage-2.3.6, Repoman-2.3.2
dev-java/icedtea-bin/icedtea-bin-3.4.0.ebuild | 7 +++++--
1 file changed, 5 insertions(+), 2 deletions(-)
diff --git a/dev-java/icedtea-bin/icedtea-bin-3.4.0.ebuild
b/dev-java/icedtea-bin/icedtea-bin-3.4.0.ebuild
index 3aa3b0f759c..7ff07f71af7 100644
--- a/dev-java/icedtea-bin/icedtea-bin-3.4.0.ebuild
+++ b/dev-java/icedtea-bin/icedtea-bin-3.4.0.ebuild
@@ -81,12 +81,15 @@ pkg_pretend() {
src_prepare() {
default
+ # I wouldn't normally use -f below but symlinks in the arm files
+ # make this fail otherwise and any other approach would be tedious.
+
if ! use alsa; then
- rm -v */jre/lib/*/libjsoundalsa.* || die
+ rm -fv */jre/lib/*/libjsoundalsa.* || die
fi
if use headless-awt; then
- rm -vr */jre/lib/*/lib*{[jx]awt,splashscreen}* \
+ rm -fvr */jre/lib/*/lib*{[jx]awt,splashscreen}* \
*/{,jre/}bin/policytool */bin/appletviewer || die
fi
}